/* busthtml.h
 *
 * Declarations for Buster Web GUI interface.
 * 
 * Copyright 2003-2008 by Praemio Inc. All rights reserved.
 * Author: John Bartas - jbartas@praemio.com
 * This software is released under the terms of the LGPL.
 * See LGPL Notice at end of this file; Full license in ../license.txt
 */

/* helper routines: */
extern   char *   html_mac(u_char * mac);
extern   int      br_hostparm(wi_sess * sess, char * args);
extern   int      parse_mac(char * mac, u_char * out);
extern   char     hexdigit(u_char byte);
extern   int      br_ipstats(wi_sess * sess, char * args);
extern   char *   br_idleinfo(u_long idle, char ** timeunits, int * timecount );
extern   char *   nextarg(char*);
extern   char *   print_seconds(unsigned long seconds);
extern   int      br_formhost(wi_sess * sess,         /* IN, has "host" entry */
                     struct host_entry ** host,       /* OUT */
                     struct ip_hostentry ** iphost);  /* OUT */


extern  struct conn_entry *  get_form_conn(wi_sess * sess);


/*
Copyright (C) 2003-2008 by Praemio Inc. All rights reserved.

Author: John Bartas - jbartas@praemio.com

This library is free software; you can redistribute it and/or
modify it under the terms of the GNU Lesser General Public
License as published by the Free Software Foundation; either
version 2.1 of the License, or (at your option) any later version.

This library is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
Lesser General Public License for more details.

You should have received a copy of the GNU Lesser General Public
License along with this library; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA 
*/




